Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.framestore
Class FacetUpdateFrameStore

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStore
          edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
              edu.stanford.smi.protegex.owl.model.framestore.FacetUpdateFrameStore

All Implemented Interfaces:
  edu.stanford.smi.protege.model.framestore.FrameStore

    public class FacetUpdateFrameStore

extends edu.stanford.smi.protege.model.framestore.FrameStoreAdapter

Field Summary
`protected boolean` | `facetHandlingBlocked` A flag to prevent infinite recursion when a superclass has been added or removed
`protected boolean` | `superclassHandlingBlocked` A flag to prevent infinite recursion when a facet override has been changed.

Fields inherited from interface edu.stanford.smi.protege.model.framestore.FrameStore
`UNLIMITED_MATCHES`

Constructor Summary
`FacetUpdateFrameStore(OWLModel owlModel)`

Method Summary
`void` | `addDirectSuperclass(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Cls superCls)`
`void` | `copyFacetValuesIntoNamedClses()`
`edu.stanford.smi.protege.model.Slot` | `createSlot(edu.stanford.smi.protege.model.FrameID id, Collection directTypes, Collection directSuperslots, boolean loadDefaults)`
`void` | `removeDirectSuperclass(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Cls superCls)`
`void` | `setDirectTemplateFacetValues(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, edu.stanford.smi.protege.model.Facet facet, Collection values)`
`void` | `setDirectTemplateSlotValues(edu.stanford.smi.protege.model.Cls cls, edu.stanford.smi.protege.model.Slot slot, Collection values)`

Methods inherited from class edu.stanford.smi.protege.model.framestore.FrameStoreAdapter
`addDirectSuperslot, addDirectTemplateSlot, addDirectType, beginTransaction, beginTransaction, commitTransaction, createCls, createFacet, createSimpleInstance, deleteCls, deleteFacet, deleteSimpleInstance, deleteSlot, executeQuery, getClsCount, getClses, getClsesWithAnyDirectTemplateSlotValue, getClsesWithDirectTemplateFacetValue, getClsesWithDirectTemplateSlotValue, getClsesWithMatchingBrowserText, getClsesWithMatchingDirectTemplateFacetValue, getClsesWithMatchingDirectTemplateSlotValue, getDirectDomain, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectOwnSlotValuesCount, getDirectSubclasses, getDirectSubslots, getDirectSuperclasses, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectTypes, getDomain, getEvents, getFacetCount, getFacets, getFrame, getFrame, getFrameCount, getFrameName, getFrames, getFramesWithAnyDirectOwnSlotValue, getFramesWithDirectOwnSlotValue, getFramesWithMatchingDirectOwnSlotValue, getInstances, getMatchingReferences, getOverriddenTemplateFacets, getOverriddenTemplateSlots, getOwnFacets, getOwnFacetValues, getOwnSlots, getOwnSlotValues, getReferences, getSimpleInstanceCount, getSlotCount, getSlots, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValues, getTemplateSlots, getTemplateSlotValues, getTransactionStatusMonitor, getTypes, moveDirectOwnSlotValue, moveDirectSubclass, moveDirectSubslot, moveDirectTemplateSlot, moveDirectType, reinitialize, removeDirectSuperslot, removeDirectTemplateFacetOverrides, removeDirectTemplateSlot, removeDirectType, replaceFrame, rollbackTransaction, setDirectOwnSlotValues`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStore
`close, getDelegate, getName, onSetDelegate, setDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### superclassHandlingBlocked

    protected boolean superclassHandlingBlocked

  A flag to prevent infinite recursion when a facet override has been changed.

### facetHandlingBlocked

    protected boolean facetHandlingBlocked

  A flag to prevent infinite recursion when a superclass has been added or removed

Constructor Detail

### FacetUpdateFrameStore

    public FacetUpdateFrameStore(OWLModel owlModel)

Method Detail

### copyFacetValuesIntoNamedClses

    public void copyFacetValuesIntoNamedClses()

### createSlot

    public edu.stanford.smi.protege.model.Slot createSlot(edu.stanford.smi.protege.model.FrameID id,
                                                          Collection directTypes,
                                                          Collection directSuperslots,
                                                          boolean loadDefaults)

  Specified by:
    `createSlot` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `createSlot` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### addDirectSuperclass

    public void addDirectSuperclass(edu.stanford.smi.protege.model.Cls cls,
                                    edu.stanford.smi.protege.model.Cls superCls)

  Specified by:
    `addDirectSuperclass` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `addDirectSuperclass` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### removeDirectSuperclass

    public void removeDirectSuperclass(edu.stanford.smi.protege.model.Cls cls,
                                       edu.stanford.smi.protege.model.Cls superCls)

  Specified by:
    `removeDirectSuperclass` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `removeDirectSuperclass` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### setDirectTemplateFacetValues

    public void setDirectTemplateFacetValues(edu.stanford.smi.protege.model.Cls cls,
                                             edu.stanford.smi.protege.model.Slot slot,
                                             edu.stanford.smi.protege.model.Facet facet,
                                             Collection values)

  Specified by:
    `setDirectTemplateFacetValues` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `setDirectTemplateFacetValues` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

### setDirectTemplateSlotValues

    public void setDirectTemplateSlotValues(edu.stanford.smi.protege.model.Cls cls,
                                            edu.stanford.smi.protege.model.Slot slot,
                                            Collection values)

  Specified by:
    `setDirectTemplateSlotValues` in interface `edu.stanford.smi.protege.model.framestore.FrameStore`
  Overrides:
    `setDirectTemplateSlotValues` in class `edu.stanford.smi.protege.model.framestore.FrameStoreAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.